/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.records;


import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.InvoiceAccantonamento;

import java.math.BigDecimal;
import java.sql.Timestamp;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record9;
import org.jooq.Row9;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class InvoiceAccantonamentoRecord extends UpdatableRecordImpl<InvoiceAccantonamentoRecord> implements Record9<Integer, Integer, String, BigDecimal, Timestamp, Timestamp, String, BigDecimal, BigDecimal> {

    private static final long serialVersionUID = -1851878549;

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.ID_INVOICE_ACCANTONAMENTO</code>.
     */
    public void setIdInvoiceAccantonamento(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.ID_INVOICE_ACCANTONAMENTO</code>.
     */
    public Integer getIdInvoiceAccantonamento() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.ID_INVOICE</code>.
     */
    public void setIdInvoice(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.ID_INVOICE</code>.
     */
    public Integer getIdInvoice() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.NOTE</code>.
     */
    public void setNote(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.NOTE</code>.
     */
    public String getNote() {
        return (String) get(2);
    }

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.PERCENTUALE</code>.
     */
    public void setPercentuale(BigDecimal value) {
        set(3, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.PERCENTUALE</code>.
     */
    public BigDecimal getPercentuale() {
        return (BigDecimal) get(3);
    }

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.DATA_INSERIMENTO</code>.
     */
    public void setDataInserimento(Timestamp value) {
        set(4, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.DATA_INSERIMENTO</code>.
     */
    public Timestamp getDataInserimento() {
        return (Timestamp) get(4);
    }

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.DATA_FINE_VALIDITA</code>.
     */
    public void setDataFineValidita(Timestamp value) {
        set(5, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.DATA_FINE_VALIDITA</code>.
     */
    public Timestamp getDataFineValidita() {
        return (Timestamp) get(5);
    }

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.UTENTE</code>.
     */
    public void setUtente(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.UTENTE</code>.
     */
    public String getUtente() {
        return (String) get(6);
    }

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.IMPORTO_ACCANTONATO</code>.
     */
    public void setImportoAccantonato(BigDecimal value) {
        set(7, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.IMPORTO_ACCANTONATO</code>.
     */
    public BigDecimal getImportoAccantonato() {
        return (BigDecimal) get(7);
    }

    /**
     * Setter for <code>INVOICE_ACCANTONAMENTO.IMPORTO_ACCANTONATO_UTILIZZABILE</code>.
     */
    public void setImportoAccantonatoUtilizzabile(BigDecimal value) {
        set(8, value);
    }

    /**
     * Getter for <code>INVOICE_ACCANTONAMENTO.IMPORTO_ACCANTONATO_UTILIZZABILE</code>.
     */
    public BigDecimal getImportoAccantonatoUtilizzabile() {
        return (BigDecimal) get(8);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record9 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row9<Integer, Integer, String, BigDecimal, Timestamp, Timestamp, String, BigDecimal, BigDecimal> fieldsRow() {
        return (Row9) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row9<Integer, Integer, String, BigDecimal, Timestamp, Timestamp, String, BigDecimal, BigDecimal> valuesRow() {
        return (Row9) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.ID_INVOICE_ACCANTONAMENTO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.ID_INVOICE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.NOTE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field4() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.PERCENTUALE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field5() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.DATA_INSERIMENTO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field6() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.DATA_FINE_VALIDITA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field7() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.UTENTE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field8() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.IMPORTO_ACCANTONATO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field9() {
        return InvoiceAccantonamento.INVOICE_ACCANTONAMENTO.IMPORTO_ACCANTONATO_UTILIZZABILE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getIdInvoiceAccantonamento();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getIdInvoice();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getNote();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component4() {
        return getPercentuale();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component5() {
        return getDataInserimento();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component6() {
        return getDataFineValidita();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component7() {
        return getUtente();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component8() {
        return getImportoAccantonato();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component9() {
        return getImportoAccantonatoUtilizzabile();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getIdInvoiceAccantonamento();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getIdInvoice();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getNote();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value4() {
        return getPercentuale();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value5() {
        return getDataInserimento();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value6() {
        return getDataFineValidita();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value7() {
        return getUtente();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value8() {
        return getImportoAccantonato();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value9() {
        return getImportoAccantonatoUtilizzabile();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value1(Integer value) {
        setIdInvoiceAccantonamento(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value2(Integer value) {
        setIdInvoice(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value3(String value) {
        setNote(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value4(BigDecimal value) {
        setPercentuale(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value5(Timestamp value) {
        setDataInserimento(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value6(Timestamp value) {
        setDataFineValidita(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value7(String value) {
        setUtente(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value8(BigDecimal value) {
        setImportoAccantonato(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord value9(BigDecimal value) {
        setImportoAccantonatoUtilizzabile(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceAccantonamentoRecord values(Integer value1, Integer value2, String value3, BigDecimal value4, Timestamp value5, Timestamp value6, String value7, BigDecimal value8, BigDecimal value9) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        value9(value9);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached InvoiceAccantonamentoRecord
     */
    public InvoiceAccantonamentoRecord() {
        super(InvoiceAccantonamento.INVOICE_ACCANTONAMENTO);
    }

    /**
     * Create a detached, initialised InvoiceAccantonamentoRecord
     */
    public InvoiceAccantonamentoRecord(Integer idInvoiceAccantonamento, Integer idInvoice, String note, BigDecimal percentuale, Timestamp dataInserimento, Timestamp dataFineValidita, String utente, BigDecimal importoAccantonato, BigDecimal importoAccantonatoUtilizzabile) {
        super(InvoiceAccantonamento.INVOICE_ACCANTONAMENTO);

        set(0, idInvoiceAccantonamento);
        set(1, idInvoice);
        set(2, note);
        set(3, percentuale);
        set(4, dataInserimento);
        set(5, dataFineValidita);
        set(6, utente);
        set(7, importoAccantonato);
        set(8, importoAccantonatoUtilizzabile);
    }
}
